# AMMWithdrawFlagsInterface | xrpl
Documentation for xrpl

# Interface AMMWithdrawFlagsInterface

#### Hierarchy

- GlobalFlags
  - AMMWithdrawFlagsInterface

- Defined in packages/xrpl/src/models/transactions/AMMWithdraw.ts:28

#####
Index

### Properties

tfLPToken?
tfLimitLPToken?
tfOneAssetLPToken?
tfOneAssetWithdrawAll?
tfSingleAsset?
tfTwoAsset?
tfWithdrawAll?

## Properties

### `Optional` tfLPToken

tfLPToken?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMWithdraw.ts:29

### `Optional` tfLimitLPToken

tfLimitLPToken?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMWithdraw.ts:35

### `Optional` tfOneAssetLPToken

tfOneAssetLPToken?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMWithdraw.ts:34

### `Optional` tfOneAssetWithdrawAll

tfOneAssetWithdrawAll?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMWithdraw.ts:31

### `Optional` tfSingleAsset

tfSingleAsset?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMWithdraw.ts:32

### `Optional` tfTwoAsset

tfTwoAsset?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMWithdraw.ts:33

### `Optional` tfWithdrawAll

tfWithdrawAll?: boolean

- Defined in packages/xrpl/src/models/transactions/AMMWithdraw.ts:30

Generated using TypeDoc